com.singularsys.jeptests.unit.functions

## Class Utilities

- java.lang.Object
- - com.singularsys.jeptests.unit.functions.Utilities

-     public class Utilities
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `testBDBinary(PostfixMathCommand pfmc, double l, double r, java.lang.String string)`
    `static void` | `testBDUnary(PostfixMathCommand pfmc, double l, java.lang.String string)`
    `static void` | `testBinary(PostfixMathCommand pfmc, double l, double r, double expected)`
    `static void` | `testBinary(PostfixMathCommand pfmc, java.lang.Object l, java.lang.Object r, java.lang.Object expected)`
    `static void` | `testUnary(PostfixMathCommand pfmc, double arg, double expected)` Utility method for testing unary methods
    `static void` | `testUnary(PostfixMathCommand pfmc, java.lang.Object l, java.lang.Object expected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utilities

          public Utilities()

  - ### Method Detail

    - #### testUnary

          public static void testUnary(PostfixMathCommand pfmc,
                                       double arg,
                                       double expected)

      Utility method for testing unary methods
      Parameters:
        `pfmc` -
        `arg` -
        `expected` -

    - #### testBinary

          public static void testBinary(PostfixMathCommand pfmc,
                                        double l,
                                        double r,
                                        double expected)

    - #### testBDBinary

          public static void testBDBinary(PostfixMathCommand pfmc,
                                          double l,
                                          double r,
                                          java.lang.String string)

    - #### testBinary

          public static void testBinary(PostfixMathCommand pfmc,
                                        java.lang.Object l,
                                        java.lang.Object r,
                                        java.lang.Object expected)

    - #### testUnary

          public static void testUnary(PostfixMathCommand pfmc,
                                       java.lang.Object l,
                                       java.lang.Object expected)

    - #### testBDUnary

          public static void testBDUnary(PostfixMathCommand pfmc,
                                         double l,
                                         java.lang.String string)

Copyright © 2018 Singular Systems http://www.singularsys.com/jep